import express from 'express';
import { createWarehouse, getAllWarehouses, getSingleWarehouse } from '../controllers/warehouseController.js';
import { protect } from '../middleware/authMiddleware.js';

const router = express.Router();

router.post('/', protect, createWarehouse);
router.get('/', protect, getAllWarehouses);
router.get('/:id', protect, getSingleWarehouse);

export default router;